.badge-dot i {
  display: inline-block;
  vertical-align: middle;
  width: .375rem;
  height: .375rem;
  border-radius: 50%;
  margin-right: .375rem;
}
.badge-sm {
  padding: .45em .775em;
  font-size: .65em;
  border-radius: .375rem;
}
.badge-pill {
  padding-right: .6em;
  padding-left: .6em;
  border-radius: 10rem;
}
.badge-info {
  color: #095bc6;
  background-color: #aecef7;
}
.badge-primary {
  color: #cc084b;
  background-color: #f8b3ca;
}
.badge-secondary {
  background-color: #d7d9e1;
  color: #6c757d;
}
.badge-success {
  color: #339537;
  background-color: #bce2be;
}
.badge{
	font-size: 0.5em;
}




.my-auto {
  margin-top: auto !important;
  margin-bottom: auto !important;
}
.form-switch {
  padding-left: 2.375rem;
}

.btn:not(:disabled):not(.disabled) {
  cursor: pointer;
}

form-check .form-check-input:checked ~ .circle {
  border-color: #9c27b0;
}



.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
  margin-left: -1px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) {
  margin-left: -1px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.input-group.input-group-outline.is-invalid .form-control {
  background-image: url("data:image/svg+xml;charset=utf-8,%3Csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23fd5c70' viewBox='0 0 12 12'%3E%3Ccircle cx='6' cy='6' r='4.5'/%3E%3Cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3E%3Ccircle cx='6' cy='8.2' r='.6' fill='%23fd5c70' stroke='none'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right .75rem center;
  background-size: 1rem 1rem;
}



.table-wrapper .table-bottom {
  padding: 1.5rem;
    padding-top: 1.5rem;
  padding-top: 0;
}
.table-wrapper .table-bottom {
  padding: 1.5rem;
  padding-top: 0;
}
.table-bottom > div:last-child, .table-bottom > nav:last-child, .table-top > div:last-child, .table-top > nav:last-child {
  float: right;
}
.table-pagination ul {
  margin: 0;
  padding-left: 0;
}
.table-pagination li {
  list-style: none;
  float: left;
}
.table-pagination a {
  border: 1px solid transparent;
  float: left;
  margin-left: 2px;
  padding: 6px 12px;
  position: relative;
  text-decoration: none;
  color: #333;
}
.table-wrapper .table-bottom .table-pagination .table-pagination-list li a {
  display: flex;
  align-items: center;
  justify-content: center;
  color: #7b809a;
  padding: 0;
  margin: 0 3px;
    margin-left: 3px;
  border: 1px solid #dee2e6;
  border-radius: 50% !important;
  width: 36px;
  height: 36px;
  font-size: .875rem;
  margin-left: 0;
}

.table-wrapper .table-bottom .table-pagination .table-pagination-list .active a {
  background: transparent;
    background-image: none;
  background-image: linear-gradient(195deg,#49a3f1,#242053);
  box-shadow: 0 3px 5px -1px rgba(0,0,0,.09),0 2px 3px -1px rgba(0,0,0,.07);
  color: #fff;
  border: none;
  border-radius: 50% !important;
}
.sidenav .navbar-brand {
  padding: 1rem 2rem;
}
.navbar-vertical .navbar-brand > img, .navbar-vertical .navbar-brand-img {
  max-width: 100%;
  max-height: 5rem;
  padding-left: 15px;
}